{* Smarty *}
{* To enable AJAX this table must have an id of "texts" and each text must be between it's own tbody tags *}
<form action="{$smarty.const.CF_BASE_URL}addpage" method="post">
<input type="hidden" name="s" value="1" />
<table id="texts">
<tbody>
	<tr>
		<td><label for="df">{$smarty.const.LN_DRAFT}?</label></td>
		<td>{html_options name=df id="df" options=$no_yes_list selected=$text.draft}</td>
	</tr>
	<tr>
		<td><label for="lt">{$smarty.const.LN_PAGE_LISTED}</label></td>
		<td>{html_options name=lt id="lt" options=$yes_no_list selected=$text.listed}</td>
	</tr>
	<tr>
		<td><label for="st">{$smarty.const.LN_SORT_ORDER}:</label></td>
		<td><input type="text" name="st" id="st" value="{$text.sort}" class="short" /></td>
	</tr>
	<tr>
		<td><label for="blt">{$smarty.const.LN_PAGE_BOX_LISTED}</label></td>
		<td>{html_options name=blt id="blt" options=$yes_no_list selected=$text.box_listed}</td>
	</tr>
	<tr>
		<td><label for="bst">{$smarty.const.LN_SORT_ORDER}:</label></td>
		<td><input type="text" name="bst" id="bst" value="{$text.box_sort}" class="short" /></td>
	</tr>
	<tr>
		<td><label for="pr">{$smarty.const.LN_PARENT_PAGE}:</label></td>
		<td>{html_options name=pr id="pr" options=$page_list selected=$text.parent}</td>
	</tr>
	<tr>
		<td><label for="cm">{$smarty.const.LN_ALLOW_COMMENTS}?</label></td>
		<td>{html_options name=cm id="cm" options=$no_yes_list selected=$text.comment}</td>
	</tr>
</tbody>
{foreach from=$text.text key=k item=i}
<tbody>
	<tr>
		<th><label for="tt_{$k}">{$i.lang_name}:</label></th>
		<th>{if $i.lang_list}{html_options name="cp[$k]" options=$i.lang_list selected=$i.copy}{/if}</th>
	</tr>
	<tr>
		<td><label for="tl_{$k}">{$smarty.const.LN_TITLE}:</label></td>
		<td><input type="i" name="tl[{$k}]" id="tl_{$k}" value="{$i.title}" lang="$k" dir="{$i.lang_dir}" class="long" /></td>
	</tr>
	<tr>
		<td colspan="2"><label for="tt_{$k}">{$smarty.const.LN_TEXT}:</label><textarea name="tt[{$k}]" id="tt_{$k}" lang="$k" dir="{$i.lang_dir}" class="tinymce long">{$i.text}</textarea></td>
	</tr>
</tbody>
{/foreach}	
<tbody>
	<tr>
		<td></td>
		<td><input type="submit" name="submit" value="{$smarty.const.LN_SAVE}" /></td>
	</tr>
</tbody>
</table>
</form>