{* Smarty *}
<form action="{$smarty.const.CF_BASE_GET}" method="get" class="right">
<input type="hidden" name="a" value="{$smarty.const.CF_BASE_LANG}calendarform" />
{$smarty.const.LN_DATE}:
<input type="text" name="yr" value="{$year}" maxlength="4" class="short" />
{html_options name=mt options=$months_list selected=$month}
<input type="text" name="dy" value="{if $day}{$day}{/if}" maxlength="2" class="short" />
<input type="submit" name="submit" value="{$smarty.const.LN_GO}" />
</form>
<p><a href="{$previous.url}">&laquo; {$previous.title}</a> <a href="{$next.url}">{$next.title} &raquo;</a></p>
{if $month && $day}
	{foreach from=$even item=e}
	<p><a href="{$e.url}">{$e.value} {$e.type} {$e.plac}</a></p>
		{if $e.linked.record == 'person'}
			<p>{$e.linked.npfx} {$e.linked.givn} {$e.linked.spfx_surn} {$e.linked.nsfx}</p>
		{else}
			<p>
			{if $e.linked.husb}{$e.linked.husb.npfx} {$e.linked.husb.givn} {$e.linked.husb.spfx_surn} {$e.linked.husb.nsfx}{/if}
			&
			{if $e.linked.wife}{$e.linked.wife.npfx} {$e.linked.wife.givn} {$e.linked.wife.spfx_surn} {$e.linked.wife.nsfx}{/if}
			</p>
		{/if}
	{/foreach}
{elseif $month}
	<table id="calendar">
		<tbody>
			{foreach from=$days item=d key=k}
				<tr>
					<td><h3>{$k}</h3></td>
					{foreach from=$d item=i}
					<td>{if $i.day && $i.day > 0}
						<h2>{if $i.even}<a href="{$smarty.const.CF_BASE_URL}calendar/{$year}/{$month}/{$i.day}">{$i.day}</a>{else}{$i.day}{/if}</h2>
						{foreach from=$i.even item=e}
						<p><a href="{$e.url}">{$e.value} {$e.type} {$e.plac}</a>
							{if $e.linked.record == 'person'}
								<br />{$e.linked.npfx} {$e.linked.givn} {$e.linked.spfx_surn} {$e.linked.nsfx}
							{else}
								<br />
								{if $e.linked.husb}{$e.linked.husb.npfx} {$e.linked.husb.givn} {$e.linked.husb.spfx_surn} {$e.linked.husb.nsfx}{/if}
								&
								{if $e.linked.wife}{$e.linked.wife.npfx} {$e.linked.wife.givn} {$e.linked.wife.spfx_surn} {$e.linked.wife.nsfx}{/if}
							{/if}
						</p>
						{/foreach}
					{/if}</td>
					{/foreach}
				</tr>
			{/foreach}
		</tbody>
	</table>
{else}
	<table id="calendar">
		<tbody>
			{foreach from=$months item=m key=k name=m}
				{if $smarty.foreach.m.iteration == 1||$smarty.foreach.m.iteration == 4||$smarty.foreach.m.iteration == 7||$smarty.foreach.m.iteration == 10}<tr>{/if}
					<td><h3><a href="{$smarty.const.CF_BASE_URL}calendar/{$year}/{$smarty.foreach.m.iteration}">{$k}</a></h3>
						<table>
							{foreach from=$m item=d key=j}
								<tr>
									<td>{$j}</td>
									{foreach from=$d item=i}
									<td>{if $i.day && $i.day > 0}{if $i.even}<a href="{$smarty.const.CF_BASE_URL}calendar/{$year}/{$smarty.foreach.m.iteration}/{$i.day}">{$i.day}</a>{else}{$i.day}{/if}{/if}</td>
									{/foreach}
								</tr>
							{/foreach}
						</table>
					</td>
				{if $smarty.foreach.m.iteration == 3||$smarty.foreach.m.iteration == 6||$smarty.foreach.m.iteration == 9||$smarty.foreach.m.iteration == 12}</tr>{/if}
			{/foreach}
		</tbody>
	</table>
{/if}
<p><a href="{$previous.url}">&laquo; {$previous.title}</a> <a href="{$next.url}">{$next.title} &raquo;</a></p>
